# Get workflow with graph

Fetches a workflow with graph.

```http
GET https://api.pozy.ai/v1/workflows/{workflowId}
```

- Area: Automations / Workflows
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `workflowId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `workflow`, object
  - `id`, string
  - `name`, string
  - `description`, string
  - `platform`, string
  - `accountId`, string
  - `profileId`, string
  - `status`, string: One of `draft`, `active`, `paused`
  - `entryNodeId`, string
  - `nodes`, array of object
    - `id`, string, required
    - `type`, string, required: One of `trigger`, `send_message`, `wait_for_reply`, `condition`, `set_variable`, `delay`, `webhook`, `hubspot_upsert_contact`, `ai`, `handoff`, `start_call`, `a_b_split`, `set_field`, `enroll_sequence`, `add_tag`, `remove_tag`, `end`
    - `config`, object
    - `position`, object
      - `x`, number
      - `y`, number
    - `label`, string: 1 to 80 characters
  - `edges`, array of object
    - `id`, string, required
    - `source`, string, required
    - `target`, string, required
    - `sourceHandle`, string: Can be null
  - `totalStarted`, integer
  - `totalCompleted`, integer
  - `totalExited`, integer
  - `createdAt`, string (date-time)
  - `updatedAt`, string (date-time)

```json
{
  "success": true,
  "workflow": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "description": "A short description",
    "platform": "instagram",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "profileId": "6a0b6573846efc28aaa9a3ff",
    "status": "draft",
    "entryNodeId": "6cb80338d0fb8bf8544ff5a4",
    "nodes": [
      {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "type": "trigger",
        "config": {},
        "position": {
          "x": 12.5,
          "y": 12.5
        },
        "label": "string"
      }
    ],
    "edges": [
      {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "source": "string",
        "target": "string",
        "sourceHandle": "acme"
      }
    ],
    "totalStarted": 42,
    "totalCompleted": 42,
    "totalExited": 42,
    "createdAt": "2026-10-02T09:00:00.000Z",
    "updatedAt": "2026-10-02T09:00:00.000Z"
  }
}
```
